gr::cdma::chopper_impl Class Reference

`#include <chopper_impl.h>`

Inheritance diagram for gr::cdma::chopper_impl:
[legend]

## Public Member Functions

| chopper_impl (int length_out, int length_in, size_t vector_length)
| ~chopper_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::cdma::chopper
typedef boost::shared_ptr< chopper > | sptr
Static Public Member Functions inherited from gr::cdma::chopper
static sptr | make (int length_out, int length_in, size_t vector_length)
| Return a shared_ptr to a new instance of cdma::chopper. More...

## Constructor & Destructor Documentation

## chopper_impl()

gr::cdma::chopper_impl::chopper_impl | ( | int | length_out,
|  | int | length_in,
|  | size_t | vector_length
| ) |  |

## ~chopper_impl()

gr::cdma::chopper_impl::~chopper_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::cdma::chopper_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int gr::cdma::chopper_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- chopper_impl.h